Holger's Java API

## com.antelmann.db
Interface EntryRelationship

All Superinterfaces:
  DBEntry, LifeCycleObject, Serializable

All Known Subinterfaces:
  SpecialRelationship<F,T,R>

All Known Implementing Classes:
  DefaultEntryRelationship, DefaultSpecialRelationship, FriendsEntry, GEventRelation, GPersonRelation

    public interface EntryRelationship

extends DBEntry, LifeCycleObject

represents a relationship between two `DBEntry` instances. A relationship consists of two references that are linked by a specified type that defines that relationship. A relationship is generally immutable in regards to its references, its type of relation and its bidirectional property. The only property that may be mutable within this interface is the comment.

Since:
  12.09.2008, 20:56:22
Author:
  Holger Antelmann

Field Summary

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Method Summary
`String` `getComment()` specifies a comment for this relationship
`DBReference` `getFromReference()` represents the first entry of this relationship
`Object` `getRelationOption()` optionally allows to specify an option along with this relationship
`Object` `getRelationType()` defines the kind of relationship
`DBReference` `getToReference()` represents the second entry of this relationship
`boolean` `isBidirectional()` determines whether this relationship also applies when swapping to- and fromReference

Methods inherited from interface com.antelmann.db.DBEntry
`getID`

Methods inherited from interface com.antelmann.util.LifeCycleObject
`getBeginTime, getEndTime`

Method Detail

### getFromReference

    DBReference getFromReference()

  represents the first entry of this relationship

### getToReference

    DBReference getToReference()

  represents the second entry of this relationship

### getRelationType

    Object getRelationType()

  defines the kind of relationship

### getRelationOption

    Object getRelationOption()

  optionally allows to specify an option along with this relationship

### getComment

    String getComment()

  specifies a comment for this relationship

### isBidirectional

    boolean isBidirectional()

  determines whether this relationship also applies when swapping to- and fromReference

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads